<?php
namespace CloudXM\SDK\Contracts;

interface LoggerInterface {
    public function debug(string $m, array $c = []): void;
    public function info(string $m, array $c = []): void;
    public function warning(string $m, array $c = []): void;
    public function error(string $m, array $c = []): void;
    public function critical(string $m, array $c = []): void;
}